import { IRdProperty } from '.';
import { TyperefContextProps } from '@elowcode/robotdev-component-business-shared';
export interface PropertyInfoProps {
    value: IRdProperty;
    customKey?: boolean;
    showTypeKeys?: string[];
    hideTypeKeys?: string[];
    hideDefault?: boolean;
    hideRequired?: boolean;
    optionAutoFillValue?: boolean;
    crossPlatformOptions?: any[];
    isMultiType?: boolean;
    isCrossPlatform?: boolean;
    moduleTypeCrossPlatformDepth?: boolean[];
    depth?: number;
    typeref: TyperefContextProps;
}
declare const _default: import("vue").DefineComponent<{
    value: {
        type: import("vue").PropType<IRdProperty>;
        required: true;
    };
    showTypeKeys: {
        type: import("vue").PropType<string[]>;
    };
    hideTypeKeys: {
        type: import("vue").PropType<string[]>;
    };
    hideDefault: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    hideRequired: {
        type: import("vue").PropType<boolean>;
    };
    customKey: {
        type: import("vue").PropType<boolean>;
    };
    optionAutoFillValue: {
        type: import("vue").PropType<boolean>;
    };
    isMultiType: {
        type: import("vue").PropType<boolean>;
    };
    crossPlatformOptions: {
        type: import("vue").PropType<any[]>;
    };
    isCrossPlatform: {
        type: import("vue").PropType<boolean>;
    };
    moduleTypeCrossPlatformDepth: {
        type: import("vue").PropType<boolean[]>;
    };
    depth: {
        type: import("vue").PropType<number>;
    };
    typeref: {
        type: import("vue").PropType<TyperefContextProps>;
        required: true;
    };
}, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    change: (key: string, val: any, currentId: string) => true;
}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    value: {
        type: import("vue").PropType<IRdProperty>;
        required: true;
    };
    showTypeKeys: {
        type: import("vue").PropType<string[]>;
    };
    hideTypeKeys: {
        type: import("vue").PropType<string[]>;
    };
    hideDefault: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    hideRequired: {
        type: import("vue").PropType<boolean>;
    };
    customKey: {
        type: import("vue").PropType<boolean>;
    };
    optionAutoFillValue: {
        type: import("vue").PropType<boolean>;
    };
    isMultiType: {
        type: import("vue").PropType<boolean>;
    };
    crossPlatformOptions: {
        type: import("vue").PropType<any[]>;
    };
    isCrossPlatform: {
        type: import("vue").PropType<boolean>;
    };
    moduleTypeCrossPlatformDepth: {
        type: import("vue").PropType<boolean[]>;
    };
    depth: {
        type: import("vue").PropType<number>;
    };
    typeref: {
        type: import("vue").PropType<TyperefContextProps>;
        required: true;
    };
}>> & {
    onChange?: ((key: string, val: any, currentId: string) => any) | undefined;
}, {
    hideDefault: boolean;
}>;
export default _default;
//# sourceMappingURL=DefinePropertyForm.vue.d.ts.map