export interface ValueArgs {
    id?: string;
    key?: string;
    path?: string[];
}
export interface ValueProps {
    type?: string;
    mode?: string;
    args?: ValueArgs;
}
export declare enum DataSource {
    GET_API_DATA = "getApiData",
    GET_THIRD_PARTY_API_DATA = "getThirdPartyApiData",
    GET_VAR = "getVar",
    GET_EACH_DATA = "getEachData",
    GET_SLOT_PROP = "getSlotData",
    GET_COMPT_PROP_DATA = "getCmptPropData",
    GET_MODEL_DATA = "getModelData",
    GET_PARAM = "getParam",
    GET_FORMULA = "getFormula",
    CUSTOM = "custom",
    GET_ACTION_ARGS = "getAcArguments",
    GET_FUNCTION_ARGS = "getFcArguments",
    GET_EVENT_ARGS = "getEventData",
    GET_USER_INFO = "getUserInfo"
}
export declare type DataSourceKey = keyof typeof DataSource;
export declare type DataSourceVal = `${DataSource}`;
export interface DataSourceOption {
    label: string;
    value: DataSourceVal;
    component?: any;
}
//# sourceMappingURL=props.d.ts.map