import { IRdModuleProp } from './entity/table';
export interface IconOptions {
    data: Record<string, any>;
    lib: string;
    colorOptions?: any[];
    size?: number;
    strokeWidth?: number;
    colors?: string[];
    defaultColor?: string;
    iconLibOptions?: any[];
}
export interface ModuleOptions {
    customKey?: boolean;
    showTypeKeys?: string[];
    hideTypeKeys?: string[];
    hideDefault?: boolean;
    hideRequired?: boolean;
    isCrossPlatform?: boolean | boolean[];
    crossPlatformOptions?: any[];
}
export interface OptionOptions {
    visibleValue?: boolean;
}
export interface TableConfigProps {
    data?: IRdModuleProp[];
    title?: string;
    createText?: string;
    createItemText?: string;
    getContainer?: (trigger: any) => HTMLElement;
    iconOptions?: IconOptions;
    customKey?: boolean;
    showTypeKeys?: string[];
    hideTypeKeys?: string[];
    hideDefault?: boolean;
    hideRequired?: boolean;
    optionAutoFillValue?: boolean;
    crossPlatformOptions?: any[];
    isCrossPlatform?: boolean;
    moduleTypeCrossPlatformDepth?: boolean[];
    depth?: number;
}
declare const _default: import("vue").DefineComponent<{
    data: {
        type: import("vue").PropType<IRdModuleProp[]>;
        default: () => never[];
    };
    title: {
        type: import("vue").PropType<string>;
    };
    getContainer: {
        type: import("vue").PropType<(trigger: any) => HTMLElement>;
    };
    showTypeKeys: {
        type: import("vue").PropType<string[]>;
    };
    hideTypeKeys: {
        type: import("vue").PropType<string[]>;
    };
    hideDefault: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    hideRequired: {
        type: import("vue").PropType<boolean>;
    };
    customKey: {
        type: import("vue").PropType<boolean>;
    };
    optionAutoFillValue: {
        type: import("vue").PropType<boolean>;
    };
    crossPlatformOptions: {
        type: import("vue").PropType<any[]>;
    };
    isCrossPlatform: {
        type: import("vue").PropType<boolean>;
    };
    moduleTypeCrossPlatformDepth: {
        type: import("vue").PropType<boolean[]>;
    };
    depth: {
        type: import("vue").PropType<number>;
    };
    createText: {
        type: import("vue").PropType<string>;
        default: string;
    };
    createItemText: {
        type: import("vue").PropType<string>;
        default: string;
    };
    iconOptions: {
        type: import("vue").PropType<IconOptions>;
    };
}, {
    validate: () => IRdModuleProp[];
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "change"[], "change", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    data: {
        type: import("vue").PropType<IRdModuleProp[]>;
        default: () => never[];
    };
    title: {
        type: import("vue").PropType<string>;
    };
    getContainer: {
        type: import("vue").PropType<(trigger: any) => HTMLElement>;
    };
    showTypeKeys: {
        type: import("vue").PropType<string[]>;
    };
    hideTypeKeys: {
        type: import("vue").PropType<string[]>;
    };
    hideDefault: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    hideRequired: {
        type: import("vue").PropType<boolean>;
    };
    customKey: {
        type: import("vue").PropType<boolean>;
    };
    optionAutoFillValue: {
        type: import("vue").PropType<boolean>;
    };
    crossPlatformOptions: {
        type: import("vue").PropType<any[]>;
    };
    isCrossPlatform: {
        type: import("vue").PropType<boolean>;
    };
    moduleTypeCrossPlatformDepth: {
        type: import("vue").PropType<boolean[]>;
    };
    depth: {
        type: import("vue").PropType<number>;
    };
    createText: {
        type: import("vue").PropType<string>;
        default: string;
    };
    createItemText: {
        type: import("vue").PropType<string>;
        default: string;
    };
    iconOptions: {
        type: import("vue").PropType<IconOptions>;
    };
}>> & {
    onChange?: ((...args: any[]) => any) | undefined;
}, {
    data: IRdModuleProp[];
    hideDefault: boolean;
    createText: string;
    createItemText: string;
}>;
export default _default;
//# sourceMappingURL=DefineTable.vue.d.ts.map