import { Action, ActionData } from './actions/action';
import { ActionBase } from './actions/base';
import { RbEvent } from './actions/event';
import { RbInteraction } from './RbInteraction';
export interface IRbActionManagerOpt {
}
export declare class RbActionManager {
    store: RbInteraction;
    actions: Action[];
    get actionMap(): Map<string, ActionBase>;
    get actionViewIds(): string[];
    constructor(store: RbInteraction);
    get(id: string): ActionBase<any> | undefined;
    add(action: Action): void;
    del(id: string): void;
    has(id: string): boolean;
    create<T extends ActionBase>(target: ActionBase | RbEvent, payload: ActionData): Action;
    remove(id: string): void;
    clearByParentRemove(id: string): void;
    initActions(target: any, actions?: any[]): (import("./actions/condition").ActionCondition | Action)[];
    toTREE(actions: ActionBase[]): any[];
}
//# sourceMappingURL=RbActionManager.d.ts.map