import { ActionConditionArgument, ConditionElseData, ConditionIfData } from './action-interface';
import { ActionCondition, ActionConditionElse, ActionConditionIf, ActionConditionParent } from './actions/condition';
import { RbInteraction } from './RbInteraction';
export interface IRbConditionManagerOpt {
}
export declare class RbConditionManager {
    store: RbInteraction;
    actions_condition: ActionCondition[];
    get actions_if(): ActionConditionIf[];
    get actions_else(): ActionConditionElse[];
    get conditionMap(): Map<string, ActionCondition>;
    get ifMap(): Map<string, ActionConditionIf>;
    get elseMap(): Map<string, ActionConditionElse>;
    constructor(store: RbInteraction);
    get(id: string): ActionConditionIf | ActionConditionElse | ActionCondition | undefined;
    add(action: ActionCondition): void;
    del(id: string): void;
    clearByParentRemove(id: string): void;
    has(id: string): boolean;
    createCondition(target: ActionConditionParent, _condition?: ActionConditionArgument): ActionCondition;
    removeCondition(id: string): void;
    createConditionIf(target: ActionCondition, _if?: ConditionIfData, sortIndex?: number): ActionConditionIf;
    removeConditionIf(id: string): void;
    createConditionElse(target: ActionCondition, _else?: ConditionElseData): ActionConditionElse;
}
//# sourceMappingURL=RbConditionManager.d.ts.map