import { RbEvent } from './actions/event';
import { RbInteraction } from './RbInteraction';
export interface IRbEventManagerOpt {
}
export declare class RbEventManager {
    store: RbInteraction;
    events: RbEvent[];
    eventOptions: any[];
    get eventMap(): Map<string, RbEvent>;
    get eventViewIds(): string[];
    constructor(store: RbInteraction, events?: any[]);
    init(events?: any[]): void;
    clear(): void;
    create(eventId: string): RbEvent;
    add(event: string | RbEvent): RbEvent;
    delete(id: string): number;
    get(id: string): RbEvent | null;
    set(event: RbEvent): void;
    has(id: string): boolean;
    toTREE(): {
        key: string;
        label: any;
        children: any[];
    }[];
}
//# sourceMappingURL=RbEventManager.d.ts.map