import { ComputedRef, InjectionKey } from 'vue';
import { DataBindPropsCommon, InteractionPropsBase } from '../types/interaction';
export interface InteractionConfigPropsProvideProps extends InteractionPropsBase {
}
export interface DataBindProps extends DataBindPropsCommon {
}
export declare const interactionConfigPropsKey: InjectionKey<InteractionConfigPropsProvideProps>;
export declare const dataBindConfigPropsKey: InjectionKey<ComputedRef<DataBindProps>>;
export declare const useInjectInteractionConfigProps: () => InteractionConfigPropsProvideProps;
export declare const useInjectDataBindProps: () => ComputedRef<DataBindProps>;
export declare const useProvideInteractionConfigProps: (props: InteractionConfigPropsProvideProps) => void;
export declare const useProvideDatabindConfig: (props: any) => void;
export declare const getDataBindProps: (props: InteractionConfigPropsProvideProps) => Partial<InteractionConfigPropsProvideProps>;
//# sourceMappingURL=useInteractionConfigProps.d.ts.map