declare const schema: (rootSchema?: any, options?: any) => {
    saveIdSchema: (schema: any) => void;
    getIdSchema: (schema: any, otherOption?: any) => {
        change: boolean;
        schema: any;
    };
    refReplace(schema: any, otherOption?: any): any;
    _validate: (schema: any, value: any) => {
        status: boolean;
        errors: import("ajv").ErrorObject<string, Record<string, any>, unknown>[] | null | undefined;
    };
    validate: (schema: any, value: any) => {
        status: boolean;
        errors: import("ajv").ErrorObject<string, Record<string, any>, unknown>[] | null | undefined;
    };
    validateType: (schema: any, value: any) => {
        status: boolean;
        reserve: boolean;
        value: any;
    };
    typeDefault: (schema: any) => {} | null;
    _validateOf: (type: string | undefined, schema: any, value: any) => any;
    anyOf: (configs: any, value: any) => any;
    allOf: (configs: any, value: any) => any;
    oneOf(schema: any, value: any): any;
    validateOf: (schema: any, value: any) => any;
    objectHander: {
        required(schema: any, value?: any): any;
        patternProperties: (schema: any, itemSchema: any, key: any, value?: any) => {
            status: boolean;
            reserve: boolean;
            value: any;
            schema: any;
        };
        additionalProperties(schema: any, key: any, value: any): {
            status: boolean;
            reserve: boolean;
            errors: any;
            schema: any;
            key: undefined;
            children: any;
            parent: null;
            rootSchema: any;
            originalValue: any;
            value: any;
            cache: {
                idCache: any;
                rootSchema: any;
            };
            functions: {
                parse(schema: any, value: any, key?: string): any;
                refReplace(_schema: any, otherOption: any): any;
                saveIdSchema: (schema: any) => void;
                getIdSchema: (schema: any, otherOption?: any) => {
                    change: boolean;
                    schema: any;
                };
                _validate: (schema: any, value: any) => {
                    status: boolean;
                    errors: import("ajv").ErrorObject<string, Record<string, any>, unknown>[] | null | undefined;
                };
                validate: (schema: any, value: any) => {
                    status: boolean;
                    errors: import("ajv").ErrorObject<string, Record<string, any>, unknown>[] | null | undefined;
                };
                validateType: (schema: any, value: any) => {
                    status: boolean;
                    reserve: boolean;
                    value: any;
                };
                typeDefault: (schema: any) => {} | null;
                _validateOf: (type: string | undefined, schema: any, value: any) => any;
                anyOf: (configs: any, value: any) => any;
                allOf: (configs: any, value: any) => any;
                oneOf(schema: any, value: any): any;
                validateOf: (schema: any, value: any) => any;
                objectHander: any;
                parseObject: (schema: any, value?: any) => any;
                arrayHander: {
                    items(schema: any, index: number, value: any): any;
                    prefixItems(schema: any, index?: number, value?: any): any;
                    unevaluatedItems(schema: any, value: any, itemSchema: any): any;
                    contains(schema: any, value: any): any;
                    length(schema: any, index: number): any;
                    listValidation(): void;
                    tupleValidation(): void;
                    uniqueness(): void;
                    item(schema: any, index: number, value: any): any;
                };
                parseArray: (schema: any, value: any[] | null) => any;
                parseString: (schema: any, value: string) => any;
                parseInteger: (schema: any, value: number) => any;
                parseNumber: (schema: any, value: number) => any;
                parseBoolean: (schema: any, value: boolean | null) => any;
                parseFunction: (schema: any, value: any) => any;
                parseAny: (schema: any, value: any) => any;
                toTree: (schema: any, value: any) => any;
            };
        };
        properties(schema: any, key?: any, value?: any): any;
        size(schema: any, index: number): {
            lack: number;
            overflow: number;
            status: boolean;
            reserve: boolean;
        };
        unevaluatedProperties(): void;
        requiredProperties(): void;
        propertyNames(): void;
        key(schema: any, key: string, value?: any): any;
    };
    parseObject: (schema: any, value?: any) => any;
    arrayHander: {
        items(schema: any, index: number, value: any): any;
        prefixItems(schema: any, index?: number, value?: any): any;
        unevaluatedItems(schema: any, value: any, itemSchema: any): any;
        contains(schema: any, value: any): any;
        length(schema: any, index: number): any;
        listValidation(): void;
        tupleValidation(): void;
        uniqueness(): void;
        item(schema: any, index: number, value: any): any;
    };
    parseArray: (schema: any, value: any[] | null) => any;
    parseString: (schema: any, value: string) => any;
    parseInteger: (schema: any, value: number) => any;
    parseNumber: (schema: any, value: number) => any;
    parseBoolean: (schema: any, value: boolean | null) => any;
    parseFunction: (schema: any, value: any) => any;
    parseAny: (schema: any, value: any) => any;
    parse(schema: any, value?: any): any;
    toTree: (schema: any, value: any) => any;
};
export default schema;
//# sourceMappingURL=schema.d.ts.map