import type { RdDefinePropType } from '@elowcode/robotdev-design-types';
import { JsonFormMode } from '../../../type';
export interface dirOpt {
    label: string;
    value: string;
    icon: {
        [x: string]: any;
    };
}
export interface option {
    label: string;
    value: string;
}
export interface defaultOpts {
    directionOptions: dirOpt[];
    marginOptions: {
        all: option[];
        x: option[];
        y: option[];
        single: option[];
    };
    paddingOptions: {
        all: option[];
        x: option[];
        y: option[];
        single: option[];
    };
    spaceBetweenOptions: {
        x: option[];
        y: option[];
    };
    positionOptions: {
        all: option[];
        x: option[];
        y: option[];
        single: option[];
    };
    unitsOptions: option[];
}
declare const _default: import("vue").DefineComponent<{
    value: {
        type: import("vue").PropType<any>;
        default: string;
    };
    type: {
        type: import("vue").PropType<RdDefinePropType & {
            rules?: {
                spaceType?: string | undefined;
            } | undefined;
        }>;
        required: true;
    };
    childrenMode: {
        type: import("vue").PropType<JsonFormMode>;
    };
}, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    change: (value: string | Record<string, any>) => void;
}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    value: {
        type: import("vue").PropType<any>;
        default: string;
    };
    type: {
        type: import("vue").PropType<RdDefinePropType & {
            rules?: {
                spaceType?: string | undefined;
            } | undefined;
        }>;
        required: true;
    };
    childrenMode: {
        type: import("vue").PropType<JsonFormMode>;
    };
}>> & {
    onChange?: ((value: string | Record<string, any>) => any) | undefined;
}, {
    value: any;
}>;
export default _default;
//# sourceMappingURL=Space.vue.d.ts.map