import { RdDefinePropType } from '@elowcode/robotdev-design-types';
import { UiType } from '../../../components/define/type/use/useDefineType';
export interface FieldExtendProps {
    field: Record<string, any>;
    types: RdDefinePropType[];
    typeValue: UiType;
    optionAutoFillValue?: boolean;
    moduleProps?: {
        customKey?: boolean;
        hideDefault?: boolean;
        hideRequired?: boolean;
        showTypeKeys?: string[];
        hideTypeKeys?: string[];
    };
    fieldProps?: Record<string, any>[];
}
declare const _default: import("vue").DefineComponent<{
    types: {
        type: import("vue").PropType<RdDefinePropType[]>;
        required: true;
    };
    optionAutoFillValue: {
        type: import("vue").PropType<boolean>;
    };
    typeValue: {
        type: import("vue").PropType<UiType>;
        required: true;
    };
    field: {
        type: import("vue").PropType<Record<string, any>>;
        required: true;
        default: () => {
            components: never[];
        };
    };
    moduleProps: {
        type: import("vue").PropType<{
            customKey?: boolean | undefined;
            hideDefault?: boolean | undefined;
            hideRequired?: boolean | undefined;
            showTypeKeys?: string[] | undefined;
            hideTypeKeys?: string[] | undefined;
        }>;
    };
    fieldProps: {
        type: import("vue").PropType<Record<string, any>[]>;
    };
}, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "change"[], "change", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    types: {
        type: import("vue").PropType<RdDefinePropType[]>;
        required: true;
    };
    optionAutoFillValue: {
        type: import("vue").PropType<boolean>;
    };
    typeValue: {
        type: import("vue").PropType<UiType>;
        required: true;
    };
    field: {
        type: import("vue").PropType<Record<string, any>>;
        required: true;
        default: () => {
            components: never[];
        };
    };
    moduleProps: {
        type: import("vue").PropType<{
            customKey?: boolean | undefined;
            hideDefault?: boolean | undefined;
            hideRequired?: boolean | undefined;
            showTypeKeys?: string[] | undefined;
            hideTypeKeys?: string[] | undefined;
        }>;
    };
    fieldProps: {
        type: import("vue").PropType<Record<string, any>[]>;
    };
}>> & {
    onChange?: ((...args: any[]) => any) | undefined;
}, {
    field: Record<string, any>;
}>;
export default _default;
//# sourceMappingURL=FieldExtend.vue.d.ts.map