import { TyperefContextProps } from '@elowcode/robotdev-component-business-shared';
import { RdDefinePropType } from '@elowcode/robotdev-design-types';
export interface PropertyDefinedProps {
    value: RdDefinePropType[];
    title?: string;
    optionAutoFillValue?: boolean;
    hideDefault?: boolean;
    customKey?: boolean;
    isCrossPlatform?: boolean;
    typeref: TyperefContextProps;
    typeOptions?: any[];
    typeFieldMapper?: Record<string, any>;
}
declare const _default: import("vue").DefineComponent<{
    value: {
        type: import("vue").PropType<RdDefinePropType[]>;
        required: true;
        default: () => never[];
    };
    title: {
        type: import("vue").PropType<string>;
        default: string;
    };
    hideDefault: {
        type: import("vue").PropType<boolean>;
    };
    customKey: {
        type: import("vue").PropType<boolean>;
    };
    optionAutoFillValue: {
        type: import("vue").PropType<boolean>;
    };
    isCrossPlatform: {
        type: import("vue").PropType<boolean>;
    };
    typeref: {
        type: import("vue").PropType<TyperefContextProps>;
        required: true;
    };
    typeOptions: {
        type: import("vue").PropType<any[]>;
    };
    typeFieldMapper: {
        type: import("vue").PropType<Record<string, any>>;
    };
}, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "change"[], "change", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    value: {
        type: import("vue").PropType<RdDefinePropType[]>;
        required: true;
        default: () => never[];
    };
    title: {
        type: import("vue").PropType<string>;
        default: string;
    };
    hideDefault: {
        type: import("vue").PropType<boolean>;
    };
    customKey: {
        type: import("vue").PropType<boolean>;
    };
    optionAutoFillValue: {
        type: import("vue").PropType<boolean>;
    };
    isCrossPlatform: {
        type: import("vue").PropType<boolean>;
    };
    typeref: {
        type: import("vue").PropType<TyperefContextProps>;
        required: true;
    };
    typeOptions: {
        type: import("vue").PropType<any[]>;
    };
    typeFieldMapper: {
        type: import("vue").PropType<Record<string, any>>;
    };
}>> & {
    onChange?: ((...args: any[]) => any) | undefined;
}, {
    value: RdDefinePropType[];
    title: string;
}>;
export default _default;
//# sourceMappingURL=FuncOuttypes.vue.d.ts.map