import { TyperefContextProps } from '@elowcode/robotdev-component-business-shared';
export interface PropertyConfigDialogProps {
    title?: string;
    customKey?: boolean;
    hideDefault?: boolean;
    hideRequired?: boolean;
    createTitle?: string;
    createNew?: () => any;
    optionAutoFillValue?: boolean;
    showTypeKeys?: string[];
    hideTypeKeys?: string[];
    typeref: TyperefContextProps;
}
declare const _default: import("vue").DefineComponent<{
    title: {
        type: import("vue").PropType<string>;
        default: string;
    };
    showTypeKeys: {
        type: import("vue").PropType<string[]>;
    };
    hideTypeKeys: {
        type: import("vue").PropType<string[]>;
    };
    hideDefault: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    hideRequired: {
        type: import("vue").PropType<boolean>;
    };
    customKey: {
        type: import("vue").PropType<boolean>;
    };
    optionAutoFillValue: {
        type: import("vue").PropType<boolean>;
    };
    typeref: {
        type: import("vue").PropType<TyperefContextProps>;
        required: true;
    };
    createNew: {
        type: import("vue").PropType<() => any>;
    };
    createTitle: {
        type: import("vue").PropType<string>;
    };
}, {
    open: (data: any) => void;
    close: () => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    submit: (value: any, close: () => void) => true;
    change: (value: any, selectedKey: string) => true;
}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    title: {
        type: import("vue").PropType<string>;
        default: string;
    };
    showTypeKeys: {
        type: import("vue").PropType<string[]>;
    };
    hideTypeKeys: {
        type: import("vue").PropType<string[]>;
    };
    hideDefault: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    hideRequired: {
        type: import("vue").PropType<boolean>;
    };
    customKey: {
        type: import("vue").PropType<boolean>;
    };
    optionAutoFillValue: {
        type: import("vue").PropType<boolean>;
    };
    typeref: {
        type: import("vue").PropType<TyperefContextProps>;
        required: true;
    };
    createNew: {
        type: import("vue").PropType<() => any>;
    };
    createTitle: {
        type: import("vue").PropType<string>;
    };
}>> & {
    onChange?: ((value: any, selectedKey: string) => any) | undefined;
    onSubmit?: ((value: any, close: () => void) => any) | undefined;
}, {
    title: string;
    hideDefault: boolean;
}>;
export default _default;
//# sourceMappingURL=DefineResponseDialog.vue.d.ts.map