import { RdInType } from '@elowcode/robotdev-design-types';
export interface BusinessTypeOpt {
    group: 'base' | 'advanced';
    label: string;
    value: RdInType;
    icon: string;
}
export declare const BUSINESS_TYPE_OPTIONS: {
    group: string;
    label: string;
    value: string;
    icon: string;
}[];
export declare type BusinessTypeMapper = {
    [x in RdInType]?: {
        fields: {
            label: string;
            key: string;
            components: any[];
        }[];
    };
};
export declare const BUSINESS_TYPE_MAPPER: BusinessTypeMapper;
//# sourceMappingURL=base.d.ts.map