export interface ManageOpt {
    label: string;
    desc: string;
    value: string;
    icon: string;
}
export interface PaginationOpt {
    pageSize: number;
    pageNum: number;
    total: number;
    onChange: (...args: any) => void;
}
export interface ApiManageDialogProps {
    options?: ManageOpt[];
    upgradeOptions?: ManageOpt[];
    pagination: PaginationOpt;
}
export interface ApiManageDialogEmit {
    (event: 'upgrade', opt: ManageOpt): void;
    (event: 'enable', opt: ManageOpt, checked: boolean): void;
}
declare const _default: import("vue").DefineComponent<{
    options: {
        type: import("vue").PropType<ManageOpt[]>;
        default: () => never[];
    };
    pagination: {
        type: import("vue").PropType<PaginationOpt>;
        required: true;
    };
    upgradeOptions: {
        type: import("vue").PropType<ManageOpt[]>;
        default: () => never[];
    };
}, {
    open: () => void;
    close: () => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    upgrade: (opt: ManageOpt) => void;
    enable: (opt: ManageOpt, checked: boolean) => void;
}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    options: {
        type: import("vue").PropType<ManageOpt[]>;
        default: () => never[];
    };
    pagination: {
        type: import("vue").PropType<PaginationOpt>;
        required: true;
    };
    upgradeOptions: {
        type: import("vue").PropType<ManageOpt[]>;
        default: () => never[];
    };
}>> & {
    onUpgrade?: ((opt: ManageOpt) => any) | undefined;
    onEnable?: ((opt: ManageOpt, checked: boolean) => any) | undefined;
}, {
    options: ManageOpt[];
    upgradeOptions: ManageOpt[];
}>;
export default _default;
//# sourceMappingURL=ApiManageDialog.vue.d.ts.map