import { ApiValue, ApiValueKey, MethodOption } from '../interface';
export declare type ProtocalOption = 'http' | 'https' | '';
export interface ApiBaseProps {
    methodOptions?: MethodOption[];
    methodHideKeys?: MethodOption[];
    methodShowKeys?: MethodOption[];
    proptocal?: ProtocalOption;
    domainPrefix?: string;
    value?: ApiValue;
    methodColor?: any;
}
export interface ApiBaseEmit {
    (event: 'change', key: ApiValueKey, value: any): void;
}
declare const _default: import("vue").DefineComponent<{
    value: {
        type: import("vue").PropType<ApiValue>;
    };
    methodColor: {
        type: import("vue").PropType<any>;
    };
    methodOptions: {
        type: import("vue").PropType<MethodOption[]>;
        default: () => MethodOption[];
    };
    methodHideKeys: {
        type: import("vue").PropType<MethodOption[]>;
    };
    methodShowKeys: {
        type: import("vue").PropType<MethodOption[]>;
    };
    proptocal: {
        type: import("vue").PropType<ProtocalOption>;
    };
    domainPrefix: {
        type: import("vue").PropType<string>;
    };
}, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    change: (key: keyof ApiValue, value: any) => void;
}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    value: {
        type: import("vue").PropType<ApiValue>;
    };
    methodColor: {
        type: import("vue").PropType<any>;
    };
    methodOptions: {
        type: import("vue").PropType<MethodOption[]>;
        default: () => MethodOption[];
    };
    methodHideKeys: {
        type: import("vue").PropType<MethodOption[]>;
    };
    methodShowKeys: {
        type: import("vue").PropType<MethodOption[]>;
    };
    proptocal: {
        type: import("vue").PropType<ProtocalOption>;
    };
    domainPrefix: {
        type: import("vue").PropType<string>;
    };
}>> & {
    onChange?: ((key: keyof ApiValue, value: any) => any) | undefined;
}, {
    methodOptions: MethodOption[];
}>;
export default _default;
//# sourceMappingURL=ApiBase.vue.d.ts.map