import { IDbFunction } from './entity/function';
import { TyperefContextProps } from '@elowcode/robotdev-component-business-shared';
export interface IProps {
    value?: IDbFunction;
    platformOptions?: any[];
    configInputTypeKeys?: {
        showTypeKeys?: string[];
        hideTypeKeys?: string[];
    };
    configOutputTypeKeys?: {
        showTypeKeys?: string[];
        hideTypeKeys?: string[];
    };
    typeref: TyperefContextProps;
}
declare const _default: import("vue").DefineComponent<{
    value: {
        type: import("vue").PropType<IDbFunction>;
    };
    platformOptions: {
        type: import("vue").PropType<any[]>;
    };
    configInputTypeKeys: {
        type: import("vue").PropType<{
            showTypeKeys?: string[] | undefined;
            hideTypeKeys?: string[] | undefined;
        }>;
    };
    configOutputTypeKeys: {
        type: import("vue").PropType<{
            showTypeKeys?: string[] | undefined;
            hideTypeKeys?: string[] | undefined;
        }>;
    };
    typeref: {
        type: import("vue").PropType<TyperefContextProps>;
        required: true;
    };
}, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    change: (value: any) => true;
}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    value: {
        type: import("vue").PropType<IDbFunction>;
    };
    platformOptions: {
        type: import("vue").PropType<any[]>;
    };
    configInputTypeKeys: {
        type: import("vue").PropType<{
            showTypeKeys?: string[] | undefined;
            hideTypeKeys?: string[] | undefined;
        }>;
    };
    configOutputTypeKeys: {
        type: import("vue").PropType<{
            showTypeKeys?: string[] | undefined;
            hideTypeKeys?: string[] | undefined;
        }>;
    };
    typeref: {
        type: import("vue").PropType<TyperefContextProps>;
        required: true;
    };
}>> & {
    onChange?: ((value: any) => any) | undefined;
}, {}>;
export default _default;
//# sourceMappingURL=DefineFunction.vue.d.ts.map