export declare const typeOptions: {
    group: string;
    label: string;
    value: string;
    icon: string;
}[];
export declare const typeFieldMapper: {
    text: {
        fields: {
            label: string;
            key: string;
            components: {
                control: string;
            }[];
        }[];
    };
    richText: {
        fields: {
            label: string;
            key: string;
            components: {
                control: string;
            }[];
        }[];
    };
    password: {
        fields: {
            label: string;
            key: string;
            components: {
                control: string;
            }[];
        }[];
    };
    email: {
        fields: {
            label: string;
            key: string;
            components: {
                control: string;
            }[];
        }[];
    };
    mobilePhone: {
        fields: {
            label: string;
            key: string;
            components: {
                control: string;
            }[];
        }[];
    };
    telephone: {
        fields: {
            label: string;
            key: string;
            components: {
                control: string;
            }[];
        }[];
    };
    fax: {
        fields: {
            label: string;
            key: string;
            components: {
                control: string;
            }[];
        }[];
    };
    option: {
        fields: {
            label: string;
            key: string;
            components: {
                control: string;
            }[];
        }[];
    };
    url: {
        fields: {
            label: string;
            key: string;
            components: {
                control: string;
            }[];
        }[];
    };
    file: {
        fields: {
            label: string;
            key: string;
            components: {
                control: string;
            }[];
        }[];
    };
    image: {
        fields: {
            label: string;
            key: string;
            components: {
                control: string;
            }[];
        }[];
    };
    video: {
        fields: {
            label: string;
            key: string;
            components: {
                control: string;
            }[];
        }[];
    };
    datetime: {
        fields: {
            label: string;
            key: string;
            components: {
                control: string;
            }[];
        }[];
    };
    number: {
        fields: {
            label: string;
            key: string;
            components: {
                control: string;
            }[];
        }[];
    };
    amount: {
        fields: {
            label: string;
            key: string;
            components: {
                control: string;
            }[];
        }[];
    };
    whether: {
        fields: {
            label: string;
            key: string;
            components: {
                control: string;
            }[];
        }[];
    };
    icon: {
        fields: {
            label: string;
            key: string;
            components: {
                control: string;
            }[];
        }[];
    };
    model: {
        fields: {
            label: string;
            key: string;
            components: {
                control: string;
            }[];
        }[];
    };
    module: {
        fields: ({
            label: string;
            key: string;
            components: {
                control: string;
            }[];
        } | {
            label: string;
            key: string;
            components: {
                control: string;
                props: {
                    title: string;
                };
            }[];
        })[];
    };
    Buffer: {
        fields: {
            label: string;
            key: string;
            components: {
                control: string;
            }[];
        }[];
    };
    sequence: {
        fields: {
            label: string;
            key: string;
            components: {
                control: string;
            }[];
        }[];
    };
    typeref: {
        fields: {
            label: string;
            key: string[];
            components: {
                control: string;
            }[];
        }[];
    };
};
//# sourceMappingURL=type-output.d.ts.map