import { TyperefContextProps } from '@elowcode/robotdev-component-business-shared';
export interface IconOptions {
    data: Record<string, any>;
    lib: string;
    colorOptions?: any[];
    size?: number;
    strokeWidth?: number;
    colors?: string[];
    defaultColor?: string;
    iconLibOptions?: any[];
}
export interface PropertyConfigDialogProps {
    title?: string;
    createText?: string;
    createItemText?: string;
    getContainer?: (trigger: any) => HTMLElement;
    iconOptions?: IconOptions;
    customKey?: boolean;
    showTypeKeys?: string[];
    hideTypeKeys?: string[];
    hideDefault?: boolean;
    hideRequired?: boolean;
    optionAutoFillValue?: boolean;
    isMultiType?: boolean;
    crossPlatformOptions?: any[];
    isCrossPlatform?: boolean;
    moduleTypeCrossPlatformDepth?: boolean[];
    depth?: number;
    typeref: TyperefContextProps;
}
declare const _default: import("vue").DefineComponent<{
    title: {
        type: import("vue").PropType<string>;
        default: string;
    };
    getContainer: {
        type: import("vue").PropType<(trigger: any) => HTMLElement>;
    };
    showTypeKeys: {
        type: import("vue").PropType<string[]>;
    };
    hideTypeKeys: {
        type: import("vue").PropType<string[]>;
    };
    hideDefault: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    hideRequired: {
        type: import("vue").PropType<boolean>;
    };
    customKey: {
        type: import("vue").PropType<boolean>;
    };
    optionAutoFillValue: {
        type: import("vue").PropType<boolean>;
    };
    isMultiType: {
        type: import("vue").PropType<boolean>;
    };
    crossPlatformOptions: {
        type: import("vue").PropType<any[]>;
    };
    isCrossPlatform: {
        type: import("vue").PropType<boolean>;
    };
    moduleTypeCrossPlatformDepth: {
        type: import("vue").PropType<boolean[]>;
    };
    depth: {
        type: import("vue").PropType<number>;
    };
    typeref: {
        type: import("vue").PropType<TyperefContextProps>;
        required: true;
    };
    createText: {
        type: import("vue").PropType<string>;
    };
    createItemText: {
        type: import("vue").PropType<string>;
    };
    iconOptions: {
        type: import("vue").PropType<IconOptions>;
    };
}, {
    open: (data: any) => void;
    close: () => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    submit: (value: any, close: () => void) => true;
    change: (value: any, selectedKey: string) => true;
}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    title: {
        type: import("vue").PropType<string>;
        default: string;
    };
    getContainer: {
        type: import("vue").PropType<(trigger: any) => HTMLElement>;
    };
    showTypeKeys: {
        type: import("vue").PropType<string[]>;
    };
    hideTypeKeys: {
        type: import("vue").PropType<string[]>;
    };
    hideDefault: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    hideRequired: {
        type: import("vue").PropType<boolean>;
    };
    customKey: {
        type: import("vue").PropType<boolean>;
    };
    optionAutoFillValue: {
        type: import("vue").PropType<boolean>;
    };
    isMultiType: {
        type: import("vue").PropType<boolean>;
    };
    crossPlatformOptions: {
        type: import("vue").PropType<any[]>;
    };
    isCrossPlatform: {
        type: import("vue").PropType<boolean>;
    };
    moduleTypeCrossPlatformDepth: {
        type: import("vue").PropType<boolean[]>;
    };
    depth: {
        type: import("vue").PropType<number>;
    };
    typeref: {
        type: import("vue").PropType<TyperefContextProps>;
        required: true;
    };
    createText: {
        type: import("vue").PropType<string>;
    };
    createItemText: {
        type: import("vue").PropType<string>;
    };
    iconOptions: {
        type: import("vue").PropType<IconOptions>;
    };
}>> & {
    onChange?: ((value: any, selectedKey: string) => any) | undefined;
    onSubmit?: ((value: any, close: () => void) => any) | undefined;
}, {
    title: string;
    hideDefault: boolean;
}>;
export default _default;
//# sourceMappingURL=DefineModuleDialog.vue.d.ts.map