import { ExtractPropTypes } from 'vue';
export interface IconOptions {
    data: Record<string, any>;
    lib: string;
    colorOptions?: any[];
    size?: number;
    strokeWidth?: number;
    colors?: string[];
    defaultColor?: string;
    iconLibOptions?: any[];
}
export interface ModuleOptions {
    customKey?: boolean;
    showTypeKeys?: string[];
    hideTypeKeys?: string[];
    hideDefault?: boolean;
    hideRequired?: boolean;
    isCrossPlatform?: boolean | boolean[];
    crossPlatformOptions?: any[];
}
export interface OptionOptions {
    visibleValue?: boolean;
}
export interface TableConfigDialogProps {
    title?: string;
    createText?: string;
    createItemText?: string;
    getContainer?: (trigger: any) => HTMLElement;
    iconOptions?: IconOptions;
    customKey?: boolean;
    showTypeKeys?: string[];
    hideTypeKeys?: string[];
    hideDefault?: boolean;
    hideRequired?: boolean;
    optionAutoFillValue?: boolean;
    crossPlatformOptions?: any[];
    isCrossPlatform?: boolean;
    moduleTypeCrossPlatformDepth?: boolean[];
    depth?: number;
}
declare const _default: import("vue").DefineComponent<{
    title: {
        type: import("vue").PropType<string>;
        default: string;
    };
    getContainer: {
        type: import("vue").PropType<(trigger: any) => HTMLElement>;
    };
    showTypeKeys: {
        type: import("vue").PropType<string[]>;
    };
    hideTypeKeys: {
        type: import("vue").PropType<string[]>;
    };
    hideDefault: {
        type: import("vue").PropType<boolean>;
    };
    hideRequired: {
        type: import("vue").PropType<boolean>;
    };
    customKey: {
        type: import("vue").PropType<boolean>;
    };
    optionAutoFillValue: {
        type: import("vue").PropType<boolean>;
    };
    crossPlatformOptions: {
        type: import("vue").PropType<any[]>;
    };
    isCrossPlatform: {
        type: import("vue").PropType<boolean>;
    };
    moduleTypeCrossPlatformDepth: {
        type: import("vue").PropType<boolean[]>;
    };
    depth: {
        type: import("vue").PropType<number>;
    };
    createText: {
        type: import("vue").PropType<string>;
    };
    createItemText: {
        type: import("vue").PropType<string>;
    };
    iconOptions: {
        type: import("vue").PropType<IconOptions>;
    };
}, {
    open: (data: any) => void;
    close: () => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    submit: (value: any, close: () => void) => true;
}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<ExtractPropTypes<{
    title: {
        type: import("vue").PropType<string>;
        default: string;
    };
    getContainer: {
        type: import("vue").PropType<(trigger: any) => HTMLElement>;
    };
    showTypeKeys: {
        type: import("vue").PropType<string[]>;
    };
    hideTypeKeys: {
        type: import("vue").PropType<string[]>;
    };
    hideDefault: {
        type: import("vue").PropType<boolean>;
    };
    hideRequired: {
        type: import("vue").PropType<boolean>;
    };
    customKey: {
        type: import("vue").PropType<boolean>;
    };
    optionAutoFillValue: {
        type: import("vue").PropType<boolean>;
    };
    crossPlatformOptions: {
        type: import("vue").PropType<any[]>;
    };
    isCrossPlatform: {
        type: import("vue").PropType<boolean>;
    };
    moduleTypeCrossPlatformDepth: {
        type: import("vue").PropType<boolean[]>;
    };
    depth: {
        type: import("vue").PropType<number>;
    };
    createText: {
        type: import("vue").PropType<string>;
    };
    createItemText: {
        type: import("vue").PropType<string>;
    };
    iconOptions: {
        type: import("vue").PropType<IconOptions>;
    };
}>> & {
    onSubmit?: ((value: any, close: () => void) => any) | undefined;
}, {
    title: string;
}>;
export default _default;
//# sourceMappingURL=DefineTableDialog.vue.d.ts.map