import { Ref } from 'vue';
import { DefineTypeConfigOpt } from './use/useDefineTypeConfig';
export interface DefineTypeContextProps extends DefineTypeConfigOpt {
    typeOptions: Ref<any[]>;
    typeFieldMapper: Ref<Record<string, any>>;
    getTypeOpt: (typeKey: string) => any;
    getTypeOptIcon: (typeKey: string) => string;
    getRuleKeys: (typeKey: string) => string[];
}
export declare const provideDefineTypeConfig: (props: DefineTypeContextProps) => void;
export declare const injectDefineTypeConfig: () => DefineTypeContextProps;
//# sourceMappingURL=context.d.ts.map