export declare const TYPE_TEXT: {
    group: string;
    label: string;
    value: string;
    icon: string;
};
export declare const TYPE_RICHTEXT: {
    group: string;
    label: string;
    value: string;
    icon: string;
};
export declare const TYPE_PASSWORD: {
    group: string;
    label: string;
    value: string;
    icon: string;
};
export declare const TYPE_EMAIL: {
    group: string;
    label: string;
    value: string;
    icon: string;
};
export declare const TYPE_MOBILEPHONE: {
    group: string;
    label: string;
    value: string;
    icon: string;
};
export declare const TYPE_TELEPHONE: {
    group: string;
    label: string;
    value: string;
    icon: string;
};
export declare const TYPE_FAX: {
    group: string;
    label: string;
    value: string;
    icon: string;
};
export declare const TYPE_OPTION: {
    group: string;
    label: string;
    value: string;
    icon: string;
};
export declare const TYPE_URL: {
    group: string;
    label: string;
    value: string;
    icon: string;
};
export declare const TYPE_FILE: {
    group: string;
    label: string;
    value: string;
    icon: string;
};
export declare const TYPE_IMAGE: {
    group: string;
    label: string;
    value: string;
    icon: string;
};
export declare const TYPE_VIDEO: {
    group: string;
    label: string;
    value: string;
    icon: string;
};
export declare const TYPE_DATETIME: {
    group: string;
    label: string;
    value: string;
    icon: string;
};
export declare const TYPE_NUMBER: {
    group: string;
    label: string;
    value: string;
    icon: string;
};
export declare const TYPE_AMOUNT: {
    group: string;
    label: string;
    value: string;
    icon: string;
};
export declare const TYPE_WHETHER: {
    group: string;
    label: string;
    value: string;
    icon: string;
};
export declare const TYPE_ICON: {
    group: string;
    label: string;
    value: string;
    icon: string;
};
export declare const TYPE_ARRAY: {
    group: string;
    label: string;
    value: string;
    icon: string;
};
export declare const TYPE_GENERIC: {
    group: string;
    label: string;
    value: string;
    icon: string;
};
export declare const TYPE_TYPEREF: {
    group: string;
    label: string;
    value: string;
    icon: string;
};
export declare const TYPE_ACTION: {
    group: string;
    label: string;
    value: string;
    icon: string;
};
export declare const TYPE_FUNCTION: {
    group: string;
    label: string;
    value: string;
    icon: string;
};
export declare const TYPE_TABLE: {
    group: string;
    label: string;
    value: string;
    icon: string;
};
export declare const TYPE_COLOR: {
    group: string;
    label: string;
    value: string;
    icon: string;
};
export declare const TYPE_SIZE: {
    group: string;
    label: string;
    value: string;
    icon: string;
};
export declare const TYPE_SPACE: {
    group: string;
    label: string;
    value: string;
    icon: string;
};
export declare const TYPE_SIZEWH: {
    group: string;
    label: string;
    value: string;
    icon: string;
};
export declare const TYPE_MODULE: {
    group: string;
    label: string;
    value: string;
    icon: string;
};
export declare const TYPE_SEQUENCE: {
    group: string;
    label: string;
    value: string;
    icon: string;
};
export declare const TYPE_BUFFER: {
    group: string;
    label: string;
    value: string;
    icon: string;
};
export declare const typeOptions: {
    group: string;
    label: string;
    value: string;
    icon: string;
}[];
export declare const MULTIPLE_ROW: {
    label: string;
    key: string;
    components: {
        control: string;
    }[];
};
export declare const RULE_LENGTH: {
    label: string;
    key: string;
    components: {
        key: string[];
        control: string;
        props: {
            placeholders: {
                minLength: string;
                maxLength: string;
            };
        };
    }[];
};
export declare const DEFAULT: {
    label: string;
    key: string;
    components: {
        control: string;
        props: {
            placeholder: string;
        };
    }[];
};
export declare const IS_REQUIRED: {
    label: string;
    key: string;
    components: {
        control: string;
    }[];
};
export declare const IS_MULTIPLE: {
    label: string;
    key: string;
    components: {
        control: string;
    }[];
};
export declare const MAX_PRECISION: {
    label: string;
    key: string;
    components: {
        control: string;
        props: {
            placeholder: string;
        };
    }[];
};
export declare const CROSS_PLATFORM: {
    label: string;
    key: string;
    components: {
        control: string;
    }[];
};
export declare const ACTION_ARGUMENTS: {
    label: string;
    key: string;
    components: {
        control: string;
    }[];
};
export declare const TYPEREF_DEFINE: {
    label: string;
    key: string[];
    components: {
        control: string;
    }[];
};
export declare const GENERIC_DEFINE: {
    label: string;
    key: string;
    components: {
        control: string;
    }[];
};
export declare const ARRAY_DEFINE: {
    label: string;
    key: string;
    components: {
        control: string;
    }[];
};
export declare const FUNC_PARAMETER: {
    label: string;
    key: string;
    components: {
        control: string;
    }[];
};
export declare const FUNC_OUT: {
    label: string;
    key: string;
    components: {
        control: string;
    }[];
};
export declare const typeFieldMapper: {
    text: {
        fields: any[];
    };
    richText: {
        fields: any[];
    };
    password: {
        fields: any[];
    };
    email: {
        fields: any[];
    };
    mobilePhone: {
        fields: any[];
    };
    telephone: {
        fields: any[];
    };
    fax: {
        fields: any[];
    };
    option: {
        fields: any[];
    };
    url: {
        fields: any[];
    };
    file: {
        fields: {
            label: string;
            key: string;
            components: {
                control: string;
            }[];
        }[];
    };
    image: {
        fields: any[];
    };
    video: {
        fields: ({
            label: string;
            key: string;
            components: {
                control: string;
            }[];
        } | {
            label: string;
            key: string;
            components: {
                key: string[];
                control: string;
                props: {
                    placeholders: {
                        minLength: string;
                        maxLength: string;
                    };
                };
            }[];
        })[];
    };
    datetime: {
        fields: any[];
    };
    number: {
        fields: any[];
    };
    amount: {
        fields: any[];
    };
    whether: {
        fields: ({
            label: string;
            key: string;
            components: {
                control: string;
            }[];
        } | {
            label: string;
            key: string;
            components: {
                control: string;
                props: {
                    options: {
                        label: string;
                        value: boolean;
                    }[];
                };
            }[];
        })[];
    };
    icon: {
        fields: {
            label: string;
            key: string;
            components: {
                control: string;
            }[];
        }[];
    };
    model: {
        fields: {
            label: string;
            key: string;
            components: {
                control: string;
            }[];
        }[];
    };
    module: {
        fields: ({
            label: string;
            key: string;
            components: {
                control: string;
            }[];
        } | {
            label: string;
            key: string;
            components: {
                control: string;
                props: {
                    title: string;
                };
            }[];
        })[];
    };
    sequence: {
        fields: ({
            label: string;
            key: string;
            components: {
                control: string;
            }[];
        } | {
            label: string;
            key: string;
            components: {
                control: string;
                props: {
                    placeholder: string;
                };
            }[];
        })[];
    };
    array: {
        fields: {
            label: string;
            key: string;
            components: {
                control: string;
            }[];
        }[];
    };
    function: {
        fields: {
            label: string;
            key: string;
            components: {
                control: string;
            }[];
        }[];
    };
};
//# sourceMappingURL=type-base.d.ts.map