import type { RdDefineProp } from '@elowcode/robotdev-design-types';
export declare type MethodOption = 'GET' | 'POST' | 'PUT' | 'PATCH' | 'DELETE';
export declare type BodyTypeOption = 'form-data' | 'x-www-form-urlencoded' | 'json' | 'xml' | 'raw' | 'none';
export declare type ApiValue = {
    id?: string;
    method?: MethodOption;
    url?: string;
    query?: RdDefineProp[];
    path?: RdDefineProp[];
    body?: RdDefineProp[];
    bodyType?: BodyTypeOption;
    header?: RdDefineProp[];
    cookie?: RdDefineProp[];
    response?: RdDefineProp[];
};
export declare type ApiValueKey = keyof ApiValue;
//# sourceMappingURL=interface.d.ts.map