import { FactoryActionArgument } from '../action-interface';
import { RbInteraction } from '../RbInteraction';
import { ActionBase } from './base';
export interface RbEventProps {
    eventId: string;
    actions?: FactoryActionArgument[];
}
export declare class RbEvent {
    private _view_is_loaded_;
    readonly allowCondition = true;
    id: string;
    mode: string;
    actions: ActionBase[];
    store: RbInteraction;
    parent?: undefined;
    view: {
        id: string;
        [x: string]: any;
    };
    get viewId(): string;
    set viewId(id: string);
    constructor(store: RbInteraction, event: RbEventProps);
    init(event: RbEventProps): void;
    setView(view: any): void;
    isViewLoaded(): boolean;
    addAction(action: ActionBase, sortIndex?: number): void;
    delAction(id: string): void;
    toTREE(): {
        key: string;
        label: any;
        children: any[];
    };
    toJSON(): RbEventProps;
    getLabel(): any;
}
//# sourceMappingURL=event.d.ts.map