import { RdDefineAction } from '../../../types/action-types';
export declare const operatorOptions: {
    value: string;
    label: string;
}[];
export declare const comparatorOptions: {
    value: string;
    label: string;
}[];
export declare const sortOptions: {
    label: string;
    value: string;
}[];
export declare const getLabelByOperator: (mode: string) => string;
export declare const getLabelByComparator: (mode: string) => string;
export declare const eventOptions: {
    value: string;
    label: string;
    icon: string;
}[];
export declare const eventResponseOption: {
    value: string;
    label: string;
}[];
export declare const actionOptions: {
    label: string;
    value: string;
}[];
export declare const eachProperties: {
    BASE_ARRAY: {
        label: string;
        value: string;
    }[];
    BASE_OBJECT: {
        label: string;
        value: string;
    }[];
};
export declare const openWindowTypeOptions: {
    label: string;
    value: string;
}[];
export declare const openWindowTargetOptions: {
    label: string;
    value: string;
}[];
export declare const functionsBusinessReturn: {
    [k: string]: RdDefineAction;
};
export declare const functionsBusinessVoid: {
    [k: string]: RdDefineAction;
};
//# sourceMappingURL=constant.d.ts.map