import JForm from './Form.vue';
import OneOf from './OneOf.vue';
declare const components: {
    oneOf: import("vue").DefineComponent<{
        schema: {
            type: ObjectConstructor;
            default: undefined;
        };
        label: {
            type: StringConstructor;
            default: string;
        };
        tag: {
            type: StringConstructor;
            default: string;
        };
        value: {
            type: (BooleanConstructor | ObjectConstructor | ArrayConstructor | NumberConstructor | StringConstructor)[];
            default: undefined;
        };
        type: {
            type: StringConstructor;
            default: string;
        };
    }, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "change"[], "change", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        schema: {
            type: ObjectConstructor;
            default: undefined;
        };
        label: {
            type: StringConstructor;
            default: string;
        };
        tag: {
            type: StringConstructor;
            default: string;
        };
        value: {
            type: (BooleanConstructor | ObjectConstructor | ArrayConstructor | NumberConstructor | StringConstructor)[];
            default: undefined;
        };
        type: {
            type: StringConstructor;
            default: string;
        };
    }>> & {
        onChange?: ((...args: any[]) => any) | undefined;
    }, {
        value: string | number | boolean | unknown[] | Record<string, any>;
        type: string;
        label: string;
        tag: string;
        schema: Record<string, any>;
    }>;
    array: import("vue").DefineComponent<{
        value: {
            type: import("vue").PropType<any[]>;
            required: true;
            default: () => never[];
        };
        mode: {
            type: import("vue").PropType<string>;
            required: true;
            default: string;
        };
        schema: {
            type: import("vue").PropType<any>;
            required: true;
            default: () => {};
        };
    }, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "change"[], "change", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        value: {
            type: import("vue").PropType<any[]>;
            required: true;
            default: () => never[];
        };
        mode: {
            type: import("vue").PropType<string>;
            required: true;
            default: string;
        };
        schema: {
            type: import("vue").PropType<any>;
            required: true;
            default: () => {};
        };
    }>> & {
        onChange?: ((...args: any[]) => any) | undefined;
    }, {
        value: any[];
        mode: string;
        schema: any;
    }>;
    'array-inline': import("vue").DefineComponent<{
        value: {
            type: import("vue").PropType<any[]>;
            required: true;
            default: () => never[];
        };
        schema: {
            type: import("vue").PropType<any>;
            required: true;
            default: () => {};
        };
    }, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "change"[], "change", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        value: {
            type: import("vue").PropType<any[]>;
            required: true;
            default: () => never[];
        };
        schema: {
            type: import("vue").PropType<any>;
            required: true;
            default: () => {};
        };
    }>> & {
        onChange?: ((...args: any[]) => any) | undefined;
    }, {
        value: any[];
        schema: any;
    }>;
    boolean: import("vue").DefineComponent<{
        value: {
            type: import("vue").PropType<string | boolean>;
            required: true;
            default: null;
        };
        schema: {
            type: import("vue").PropType<any>;
            required: true;
            default: () => {};
        };
    }, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "change"[], "change", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        value: {
            type: import("vue").PropType<string | boolean>;
            required: true;
            default: null;
        };
        schema: {
            type: import("vue").PropType<any>;
            required: true;
            default: () => {};
        };
    }>> & {
        onChange?: ((...args: any[]) => any) | undefined;
    }, {
        value: string | boolean;
        schema: any;
    }>;
    number: import("vue").DefineComponent<{
        schema: {
            type: ObjectConstructor;
            default: () => {};
        };
        value: {
            type: StringConstructor;
            default: () => null;
        };
    }, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "change"[], "change", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        schema: {
            type: ObjectConstructor;
            default: () => {};
        };
        value: {
            type: StringConstructor;
            default: () => null;
        };
    }>> & {
        onChange?: ((...args: any[]) => any) | undefined;
    }, {
        value: string;
        schema: Record<string, any>;
    }>;
    string: import("vue").DefineComponent<{
        schema: {
            type: ObjectConstructor;
            default: () => {};
        };
        value: {
            type: StringConstructor;
            default: () => null;
        };
    }, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "change"[], "change", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        schema: {
            type: ObjectConstructor;
            default: () => {};
        };
        value: {
            type: StringConstructor;
            default: () => null;
        };
    }>> & {
        onChange?: ((...args: any[]) => any) | undefined;
    }, {
        value: string;
        schema: Record<string, any>;
    }>;
    object: import("vue").DefineComponent<{
        value: {
            type: import("vue").PropType<any>;
            required: true;
            default: () => {};
        };
        mode: {
            type: import("vue").PropType<string>;
            required: true;
            default: string;
        };
        schema: {
            type: import("vue").PropType<any>;
            required: true;
            default: () => {};
        };
    }, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "change"[], "change", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        value: {
            type: import("vue").PropType<any>;
            required: true;
            default: () => {};
        };
        mode: {
            type: import("vue").PropType<string>;
            required: true;
            default: string;
        };
        schema: {
            type: import("vue").PropType<any>;
            required: true;
            default: () => {};
        };
    }>> & {
        onChange?: ((...args: any[]) => any) | undefined;
    }, {
        value: any;
        mode: string;
        schema: any;
    }>;
    'object-inline': import("vue").DefineComponent<{
        value: {
            type: import("vue").PropType<any>;
            required: true;
            default: () => {};
        };
        schema: {
            type: import("vue").PropType<any>;
            required: true;
            default: () => {
                type: string;
            };
        };
    }, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "change"[], "change", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        value: {
            type: import("vue").PropType<any>;
            required: true;
            default: () => {};
        };
        schema: {
            type: import("vue").PropType<any>;
            required: true;
            default: () => {
                type: string;
            };
        };
    }>> & {
        onChange?: ((...args: any[]) => any) | undefined;
    }, {
        value: any;
        schema: any;
    }>;
    'object-popup': import("vue").DefineComponent<{
        schema: {
            type: ObjectConstructor;
            default: () => {};
        };
        value: {
            type: ObjectConstructor;
            default: () => {};
        };
    }, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "change"[], "change", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        schema: {
            type: ObjectConstructor;
            default: () => {};
        };
        value: {
            type: ObjectConstructor;
            default: () => {};
        };
    }>> & {
        onChange?: ((...args: any[]) => any) | undefined;
    }, {
        value: Record<string, any>;
        schema: Record<string, any>;
    }>;
};
export { components, JForm, OneOf };
//# sourceMappingURL=index.d.ts.map