declare const _default: import("vue").DefineComponent<{
    value: {
        type: ArrayConstructor;
        default: () => never[];
    };
    level: {
        type: NumberConstructor;
        default: number;
    };
    parent: {
        type: ObjectConstructor;
        default: undefined;
    };
    filedOptions: {
        type: ObjectConstructor;
        default: () => {
            children: string;
            id: string;
            label: string;
        };
    };
    expandedIcon: {
        type: BooleanConstructor;
        default: boolean;
    };
    expandedValue: {
        type: ObjectConstructor;
        default: undefined;
    };
    expandedAll: {
        type: BooleanConstructor;
        default: boolean;
    };
    add: {
        type: (BooleanConstructor | ObjectConstructor | FunctionConstructor)[];
        default: boolean;
    };
    insert: {
        type: (BooleanConstructor | ObjectConstructor | FunctionConstructor)[];
        default: boolean;
    };
    edit: {
        type: (BooleanConstructor | ObjectConstructor | FunctionConstructor)[];
        default: boolean;
    };
    remove: {
        type: (BooleanConstructor | ObjectConstructor | FunctionConstructor)[];
        default: boolean;
    };
    up: {
        type: (BooleanConstructor | ObjectConstructor | FunctionConstructor)[];
        default: boolean;
    };
    down: {
        type: (BooleanConstructor | ObjectConstructor | FunctionConstructor)[];
        default: boolean;
    };
    top: {
        type: (BooleanConstructor | ObjectConstructor | FunctionConstructor)[];
        default: boolean;
    };
    bottom: {
        type: (BooleanConstructor | ObjectConstructor | FunctionConstructor)[];
        default: boolean;
    };
    buttons: {
        type: ObjectConstructor;
        default: () => {};
    };
    buttonsMore: {
        type: NumberConstructor;
        default: number;
    };
    actionSort: {
        type: ArrayConstructor;
        default: undefined;
    };
    rowShow: {
        type: FunctionConstructor;
        default: () => boolean;
    };
    nodeShow: {
        type: FunctionConstructor;
        default: () => boolean;
    };
    leftShow: {
        type: FunctionConstructor;
        default: () => boolean;
    };
    rightShow: {
        type: FunctionConstructor;
        default: () => boolean;
    };
}, {
    bindFiledOptions: import("vue").ComputedRef<{
        children: string;
        id: string;
        label: string;
    } & Record<string, any>>;
    moreChildClick: (button: any, item: any, index: number) => void;
    moreOpenStatus: any;
    bindValue: import("vue").ComputedRef<unknown[]>;
    slotScope: (item: any, index: number) => {
        pos: string;
        path: string;
        dataRef: any;
        index: number;
        level: number;
        parent: Record<string, any> | null | undefined;
        isRoot: boolean;
    };
    expanded: (node: any) => void;
    bindExpandedValue: import("vue").ComputedRef<any>;
    oneExpanded: (node: any) => any;
    actionButtons: import("vue").ComputedRef<{
        more: {
            buttons(node: any): any;
            cond: (node: any) => boolean;
            props: {
                title: string;
                type: string;
            };
            max: number;
        };
        buttons(node: any): any;
    }>;
    onChange: (value: any) => void;
    onEmit: (eventName: any, args: any) => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("change" | "remove" | "update:value" | "add" | "edit" | "insert" | "update:expandedValue" | "expandedValueChange" | "toUp" | "toTop" | "toDown" | "toBottom")[], "change" | "remove" | "update:value" | "add" | "edit" | "insert" | "update:expandedValue" | "expandedValueChange" | "toUp" | "toTop" | "toDown" | "toBottom", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    value: {
        type: ArrayConstructor;
        default: () => never[];
    };
    level: {
        type: NumberConstructor;
        default: number;
    };
    parent: {
        type: ObjectConstructor;
        default: undefined;
    };
    filedOptions: {
        type: ObjectConstructor;
        default: () => {
            children: string;
            id: string;
            label: string;
        };
    };
    expandedIcon: {
        type: BooleanConstructor;
        default: boolean;
    };
    expandedValue: {
        type: ObjectConstructor;
        default: undefined;
    };
    expandedAll: {
        type: BooleanConstructor;
        default: boolean;
    };
    add: {
        type: (BooleanConstructor | ObjectConstructor | FunctionConstructor)[];
        default: boolean;
    };
    insert: {
        type: (BooleanConstructor | ObjectConstructor | FunctionConstructor)[];
        default: boolean;
    };
    edit: {
        type: (BooleanConstructor | ObjectConstructor | FunctionConstructor)[];
        default: boolean;
    };
    remove: {
        type: (BooleanConstructor | ObjectConstructor | FunctionConstructor)[];
        default: boolean;
    };
    up: {
        type: (BooleanConstructor | ObjectConstructor | FunctionConstructor)[];
        default: boolean;
    };
    down: {
        type: (BooleanConstructor | ObjectConstructor | FunctionConstructor)[];
        default: boolean;
    };
    top: {
        type: (BooleanConstructor | ObjectConstructor | FunctionConstructor)[];
        default: boolean;
    };
    bottom: {
        type: (BooleanConstructor | ObjectConstructor | FunctionConstructor)[];
        default: boolean;
    };
    buttons: {
        type: ObjectConstructor;
        default: () => {};
    };
    buttonsMore: {
        type: NumberConstructor;
        default: number;
    };
    actionSort: {
        type: ArrayConstructor;
        default: undefined;
    };
    rowShow: {
        type: FunctionConstructor;
        default: () => boolean;
    };
    nodeShow: {
        type: FunctionConstructor;
        default: () => boolean;
    };
    leftShow: {
        type: FunctionConstructor;
        default: () => boolean;
    };
    rightShow: {
        type: FunctionConstructor;
        default: () => boolean;
    };
}>> & {
    onChange?: ((...args: any[]) => any) | undefined;
    "onUpdate:value"?: ((...args: any[]) => any) | undefined;
    onRemove?: ((...args: any[]) => any) | undefined;
    onAdd?: ((...args: any[]) => any) | undefined;
    onEdit?: ((...args: any[]) => any) | undefined;
    onInsert?: ((...args: any[]) => any) | undefined;
    "onUpdate:expandedValue"?: ((...args: any[]) => any) | undefined;
    onExpandedValueChange?: ((...args: any[]) => any) | undefined;
    onToUp?: ((...args: any[]) => any) | undefined;
    onToTop?: ((...args: any[]) => any) | undefined;
    onToDown?: ((...args: any[]) => any) | undefined;
    onToBottom?: ((...args: any[]) => any) | undefined;
}, {
    value: unknown[];
    remove: boolean | Function | Record<string, any>;
    add: boolean | Function | Record<string, any>;
    top: boolean | Function | Record<string, any>;
    bottom: boolean | Function | Record<string, any>;
    edit: boolean | Function | Record<string, any>;
    up: boolean | Function | Record<string, any>;
    down: boolean | Function | Record<string, any>;
    insert: boolean | Function | Record<string, any>;
    level: number;
    parent: Record<string, any>;
    filedOptions: Record<string, any>;
    expandedIcon: boolean;
    expandedValue: Record<string, any>;
    expandedAll: boolean;
    buttons: Record<string, any>;
    buttonsMore: number;
    actionSort: unknown[];
    rowShow: Function;
    nodeShow: Function;
    leftShow: Function;
    rightShow: Function;
}>;
export default _default;
//# sourceMappingURL=Tree.vue.d.ts.map