declare const _default: import("vue").DefineComponent<{
    value: {
        type: import("vue").PropType<string>;
        required: true;
    };
    tooltipContent: {
        type: import("vue").PropType<(option: any) => string>;
        required: true;
    };
    unitsOptions: {
        type: import("vue").PropType<{
            label: string;
            value: string;
        }[]>;
        required: true;
    };
    classType: {
        type: import("vue").PropType<string>;
        required: true;
    };
    directionValue: {
        type: import("vue").PropType<string>;
        required: true;
    };
    directionOptions: {
        type: import("vue").PropType<{
            label: string;
            value: string;
            icon: {
                [x: string]: any;
            };
        }[]>;
        required: true;
    };
    spaceOptions: {
        type: import("vue").PropType<{
            single?: {
                [x: string]: any;
            } | undefined;
            all?: {
                label: string;
                value: string;
            }[] | undefined;
        }>;
        required: true;
    };
    unitsValue: {
        type: import("vue").PropType<string>;
        required: true;
    };
    customValue: {
        type: import("vue").PropType<string>;
        required: true;
    };
}, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    change: (value: any) => void;
    spaceValueChange: (value: string) => void;
    radioGroupChange: (value: string | number | boolean) => void;
}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    value: {
        type: import("vue").PropType<string>;
        required: true;
    };
    tooltipContent: {
        type: import("vue").PropType<(option: any) => string>;
        required: true;
    };
    unitsOptions: {
        type: import("vue").PropType<{
            label: string;
            value: string;
        }[]>;
        required: true;
    };
    classType: {
        type: import("vue").PropType<string>;
        required: true;
    };
    directionValue: {
        type: import("vue").PropType<string>;
        required: true;
    };
    directionOptions: {
        type: import("vue").PropType<{
            label: string;
            value: string;
            icon: {
                [x: string]: any;
            };
        }[]>;
        required: true;
    };
    spaceOptions: {
        type: import("vue").PropType<{
            single?: {
                [x: string]: any;
            } | undefined;
            all?: {
                label: string;
                value: string;
            }[] | undefined;
        }>;
        required: true;
    };
    unitsValue: {
        type: import("vue").PropType<string>;
        required: true;
    };
    customValue: {
        type: import("vue").PropType<string>;
        required: true;
    };
}>> & {
    onChange?: ((value: any) => any) | undefined;
    onSpaceValueChange?: ((value: string) => any) | undefined;
    onRadioGroupChange?: ((value: string | number | boolean) => any) | undefined;
}, {}>;
export default _default;
//# sourceMappingURL=SpacePopoverContent.vue.d.ts.map