declare const components: {
    SArray: import("vue").DefineComponent<{
        value: {
            type: import("vue").PropType<any[]>;
            required: true;
            default: () => never[];
        };
        label: {
            type: import("vue").PropType<string>;
            required: true;
            default: string;
        };
        options: {
            type: import("vue").PropType<any>;
            required: true;
            default: () => {};
        };
        attr: {
            type: import("vue").PropType<string>;
            required: true;
        };
    }, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
        change: (value: any) => void;
    }, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        value: {
            type: import("vue").PropType<any[]>;
            required: true;
            default: () => never[];
        };
        label: {
            type: import("vue").PropType<string>;
            required: true;
            default: string;
        };
        options: {
            type: import("vue").PropType<any>;
            required: true;
            default: () => {};
        };
        attr: {
            type: import("vue").PropType<string>;
            required: true;
        };
    }>> & {
        onChange?: ((value: any) => any) | undefined;
    }, {
        value: any[];
        label: string;
        options: any;
    }>;
    SBoolean: import("vue").DefineComponent<{
        labelCol: {
            type: ObjectConstructor;
            default: () => {
                span: number;
            };
        };
        wrapperCol: {
            type: ObjectConstructor;
            default: () => {
                span: number;
            };
        };
        attr: {
            type: StringConstructor;
            default: undefined;
        };
        label: {
            type: StringConstructor;
            default: string;
        };
        value: {
            type: BooleanConstructor;
            default: undefined;
        };
        checkedChildren: {
            type: StringConstructor;
            default: undefined;
        };
        unCheckedChildren: {
            type: StringConstructor;
            default: undefined;
        };
        options: {
            type: ObjectConstructor;
            default: undefined;
        };
    }, {
        bindValue: import("vue").ComputedRef<boolean>;
        onChange: (checked: boolean, e: Event) => boolean;
        show: import("vue").ComputedRef<boolean>;
        labelDisplay: import("vue").ComputedRef<any>;
    }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "change"[], "change", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        labelCol: {
            type: ObjectConstructor;
            default: () => {
                span: number;
            };
        };
        wrapperCol: {
            type: ObjectConstructor;
            default: () => {
                span: number;
            };
        };
        attr: {
            type: StringConstructor;
            default: undefined;
        };
        label: {
            type: StringConstructor;
            default: string;
        };
        value: {
            type: BooleanConstructor;
            default: undefined;
        };
        checkedChildren: {
            type: StringConstructor;
            default: undefined;
        };
        unCheckedChildren: {
            type: StringConstructor;
            default: undefined;
        };
        options: {
            type: ObjectConstructor;
            default: undefined;
        };
    }>> & {
        onChange?: ((...args: any[]) => any) | undefined;
    }, {
        value: boolean;
        label: string;
        options: Record<string, any>;
        checkedChildren: string;
        unCheckedChildren: string;
        labelCol: Record<string, any>;
        wrapperCol: Record<string, any>;
        attr: string;
    }>;
    SNumber: import("vue").DefineComponent<{
        labelCol: {
            type: ObjectConstructor;
            default: () => {
                span: number;
            };
        };
        wrapperCol: {
            type: ObjectConstructor;
            default: () => {
                span: number;
            };
        };
        attr: {
            type: StringConstructor;
            default: undefined;
        };
        label: {
            type: StringConstructor;
            default: string;
        };
        value: {
            type: NumberConstructor;
            default: undefined;
        };
        options: {
            type: ArrayConstructor;
            default: undefined;
        };
        min: {
            type: NumberConstructor;
            default: undefined;
        };
        max: {
            type: NumberConstructor;
            default: undefined;
        };
    }, {
        onChange: (value: any) => boolean;
        show: import("vue").ComputedRef<boolean>;
        labelDisplay: import("vue").ComputedRef<any>;
        bindOptions: import("vue").ComputedRef<any>;
        formItemRef: import("vue").Ref<any>;
        radioGroupRef: import("vue").Ref<any>;
        radioLayout: import("vue").Ref<string>;
    }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "change"[], "change", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        labelCol: {
            type: ObjectConstructor;
            default: () => {
                span: number;
            };
        };
        wrapperCol: {
            type: ObjectConstructor;
            default: () => {
                span: number;
            };
        };
        attr: {
            type: StringConstructor;
            default: undefined;
        };
        label: {
            type: StringConstructor;
            default: string;
        };
        value: {
            type: NumberConstructor;
            default: undefined;
        };
        options: {
            type: ArrayConstructor;
            default: undefined;
        };
        min: {
            type: NumberConstructor;
            default: undefined;
        };
        max: {
            type: NumberConstructor;
            default: undefined;
        };
    }>> & {
        onChange?: ((...args: any[]) => any) | undefined;
    }, {
        value: number;
        label: string;
        max: number;
        min: number;
        options: unknown[];
        labelCol: Record<string, any>;
        wrapperCol: Record<string, any>;
        attr: string;
    }>;
    SObject: import("vue").DefineComponent<{
        value: {
            type: import("vue").PropType<any>;
            required: true;
            default: () => {};
        };
        label: {
            type: import("vue").PropType<string>;
            required: true;
            default: string;
        };
        options: {
            type: import("vue").PropType<any>;
            required: true;
            default: () => {};
        };
        attr: {
            type: import("vue").PropType<string>;
            required: true;
        };
    }, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
        change: (value: any) => void;
    }, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        value: {
            type: import("vue").PropType<any>;
            required: true;
            default: () => {};
        };
        label: {
            type: import("vue").PropType<string>;
            required: true;
            default: string;
        };
        options: {
            type: import("vue").PropType<any>;
            required: true;
            default: () => {};
        };
        attr: {
            type: import("vue").PropType<string>;
            required: true;
        };
    }>> & {
        onChange?: ((value: any) => any) | undefined;
    }, {
        value: any;
        label: string;
        options: any;
    }>;
    SOneOf: import("vue").DefineComponent<{
        value: {
            type: import("vue").PropType<any[]>;
            required: true;
            default: () => never[];
        };
        label: {
            type: import("vue").PropType<string>;
            required: true;
            default: string;
        };
        nodes: {
            type: import("vue").PropType<any[]>;
            required: true;
            default: () => never[];
        };
        options: {
            type: import("vue").PropType<any>;
            required: true;
            default: () => {};
        };
        attr: {
            type: import("vue").PropType<string>;
            required: true;
        };
    }, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
        change: (value: any) => void;
    }, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        value: {
            type: import("vue").PropType<any[]>;
            required: true;
            default: () => never[];
        };
        label: {
            type: import("vue").PropType<string>;
            required: true;
            default: string;
        };
        nodes: {
            type: import("vue").PropType<any[]>;
            required: true;
            default: () => never[];
        };
        options: {
            type: import("vue").PropType<any>;
            required: true;
            default: () => {};
        };
        attr: {
            type: import("vue").PropType<string>;
            required: true;
        };
    }>> & {
        onChange?: ((value: any) => any) | undefined;
    }, {
        value: any[];
        label: string;
        nodes: any[];
        options: any;
    }>;
    SString: import("vue").DefineComponent<{
        rows: {
            type: NumberConstructor;
            default: number;
        };
        attr: {
            type: StringConstructor;
            default: undefined;
        };
        label: {
            type: StringConstructor;
            default: undefined;
        };
        value: {
            type: (NumberConstructor | StringConstructor)[];
            default: undefined;
        };
        options: {
            type: ObjectConstructor;
            default: undefined;
        };
    }, {
        bindOptions: import("vue").ComputedRef<any>;
        onChange: (e: any) => boolean;
        formItemRef: import("vue").Ref<any>;
        radioGroupRef: import("vue").Ref<any>;
        radioLayout: import("vue").Ref<string>;
    }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "change"[], "change", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        rows: {
            type: NumberConstructor;
            default: number;
        };
        attr: {
            type: StringConstructor;
            default: undefined;
        };
        label: {
            type: StringConstructor;
            default: undefined;
        };
        value: {
            type: (NumberConstructor | StringConstructor)[];
            default: undefined;
        };
        options: {
            type: ObjectConstructor;
            default: undefined;
        };
    }>> & {
        onChange?: ((...args: any[]) => any) | undefined;
    }, {
        value: string | number;
        label: string;
        rows: number;
        options: Record<string, any>;
        attr: string;
    }>;
    STextarea: import("vue").DefineComponent<{
        rows: {
            type: NumberConstructor;
            default: number;
        };
        attr: {
            type: StringConstructor;
            default: undefined;
        };
        label: {
            type: StringConstructor;
            default: undefined;
        };
        value: {
            type: (NumberConstructor | StringConstructor)[];
            default: undefined;
        };
        options: {
            type: ObjectConstructor;
            default: undefined;
        };
    }, {
        bindOptions: import("vue").ComputedRef<any>;
        onChange: (e: any) => boolean;
        formItemRef: import("vue").Ref<any>;
        radioGroupRef: import("vue").Ref<any>;
        radioLayout: import("vue").Ref<string>;
    }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "change"[], "change", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        rows: {
            type: NumberConstructor;
            default: number;
        };
        attr: {
            type: StringConstructor;
            default: undefined;
        };
        label: {
            type: StringConstructor;
            default: undefined;
        };
        value: {
            type: (NumberConstructor | StringConstructor)[];
            default: undefined;
        };
        options: {
            type: ObjectConstructor;
            default: undefined;
        };
    }>> & {
        onChange?: ((...args: any[]) => any) | undefined;
    }, {
        value: string | number;
        label: string;
        rows: number;
        options: Record<string, any>;
        attr: string;
    }>;
    SFunction: import("vue").DefineComponent<{
        labelCol: {
            type: ObjectConstructor;
            default: () => {
                span: number;
            };
        };
        wrapperCol: {
            type: ObjectConstructor;
            default: () => {
                span: number;
            };
        };
        attr: {
            type: StringConstructor;
            default: undefined;
        };
        label: {
            type: StringConstructor;
            default: string;
        };
        value: {
            type: BooleanConstructor;
            default: undefined;
        };
        options: {
            type: ObjectConstructor;
            default: undefined;
        };
    }, {
        bindValue: import("vue").ComputedRef<boolean | null>;
        show: import("vue").ComputedRef<boolean>;
        labelDisplay: import("vue").ComputedRef<any>;
    }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "change"[], "change", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        labelCol: {
            type: ObjectConstructor;
            default: () => {
                span: number;
            };
        };
        wrapperCol: {
            type: ObjectConstructor;
            default: () => {
                span: number;
            };
        };
        attr: {
            type: StringConstructor;
            default: undefined;
        };
        label: {
            type: StringConstructor;
            default: string;
        };
        value: {
            type: BooleanConstructor;
            default: undefined;
        };
        options: {
            type: ObjectConstructor;
            default: undefined;
        };
    }>> & {
        onChange?: ((...args: any[]) => any) | undefined;
    }, {
        value: boolean;
        label: string;
        options: Record<string, any>;
        labelCol: Record<string, any>;
        wrapperCol: Record<string, any>;
        attr: string;
    }>;
    SImage: import("vue").DefineComponent<{
        attr: {
            type: StringConstructor;
            default: undefined;
        };
        label: {
            type: StringConstructor;
            default: undefined;
        };
        options: {
            type: ObjectConstructor;
            default: () => void;
        };
    }, {
        onOpen: () => void;
        onClose: () => void;
    }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("open" | "clear")[], "open" | "clear", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        attr: {
            type: StringConstructor;
            default: undefined;
        };
        label: {
            type: StringConstructor;
            default: undefined;
        };
        options: {
            type: ObjectConstructor;
            default: () => void;
        };
    }>> & {
        onClear?: ((...args: any[]) => any) | undefined;
        onOpen?: ((...args: any[]) => any) | undefined;
    }, {
        label: string;
        options: Record<string, any>;
        attr: string;
    }>;
};
export { components };
//# sourceMappingURL=index.d.ts.map