export declare const tuple: <T extends string[]>(...args: T) => T;
export declare enum ObjectType {
    TEXT = "text",
    RICHTEXT = "richText",
    PASSWORD = "password",
    EMAIL = "email",
    MOBILEPHONE = "mobilePhone",
    TELEPHONE = "telephone",
    FAX = "fax",
    OPTION = "option",
    URL = "url",
    FILE = "file",
    IMAGE = "image",
    VIDEO = "video",
    DATETIME = "datetime",
    NUMBER = "number",
    AMOUNT = "amount",
    WHETHER = "whether",
    MODEL = "model",
    MODULE = "module",
    ICON = "icon",
    SEQUENCE = "sequence"
}
export declare type ObjectTypeKey = keyof typeof ObjectType;
export declare type ObjectTypeVal = `${ObjectType}`;
export declare type ObjectTypeOption = {
    group: string;
    label: string;
    value: ObjectTypeVal;
    icon?: string;
};
//# sourceMappingURL=const.d.ts.map